version: '3.5'

services:
  generator:
    build: 
      context: ../00_generator/
      dockerfile: Dockerfile.generator
  collector:
    build: 
      context: ..
      dockerfile: 01_collector/Dockerfile.collector
  estimator:
    build: 
      context: ..
      dockerfile: 02_estimator/Dockerfile.estimator
  predictor:
    build: 
      context: ..
      dockerfile: 03_predictor/Dockerfile.predictor
  learner:
    build: 
      context: ..
      dockerfile: 04_learner/Dockerfile.learner
  dashboard:
    build: 
      context: ..
      dockerfile: 05_monitor_dashboard/Dockerfile.dashboard
  monitor:
    build:
      context: ..
      dockerfile: 05_monitor_dashboard/Dockerfile.monitor
